# Global

##

### Type Definitions

#### ButtonState

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `PRESSED` | number | 0
  `RELEASED` | number | 1
  `UP` | number | 2
  `DOWN` | number | 3
  `STOP` | number | 4

  Source:
    - consts.js, line 113

#### ButtonState

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `PRESSED` | number | 0
  `RELEASED` | number | 1
  `UP` | number | 2
  `DOWN` | number | 3
  `STOP` | number | 4

  Source:
    - consts.js, line 113

#### Color

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BLACK` | number | 0
  `PINK` | number | 1
  `PURPLE` | number | 2
  `BLUE` | number | 3
  `LIGHT_BLUE` | number | 4
  `CYAN` | number | 5
  `GREEN` | number | 6
  `YELLOW` | number | 7
  `ORANGE` | number | 8
  `RED` | number | 9
  `WHITE` | number | 10
  `NONE` | number | 255

  Source:
    - consts.js, line 77

#### Color

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BLACK` | number | 0
  `PINK` | number | 1
  `PURPLE` | number | 2
  `BLUE` | number | 3
  `LIGHT_BLUE` | number | 4
  `CYAN` | number | 5
  `GREEN` | number | 6
  `YELLOW` | number | 7
  `ORANGE` | number | 8
  `RED` | number | 9
  `WHITE` | number | 10
  `NONE` | number | 255

  Source:
    - consts.js, line 77

#### DeviceType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `BASIC_MOTOR` | number | 1
  `TRAIN_MOTOR` | number | 2
  `LED_LIGHTS` | number | 8
  `BOOST_LED` | number | 22
  `WEDO2_TILT` | number | 34
  `WEDO2_DISTANCE` | number | 35
  `BOOST_DISTANCE` | number | 37
  `BOOST_TACHO_MOTOR` | number | 38
  `BOOST_MOVE_HUB_MOTOR` | number | 39
  `BOOST_TILT` | number | 40
  `DUPLO_TRAIN_BASE_MOTOR` | number | 41
  `DUPLO_TRAIN_BASE_SPEAKER` | number | 42
  `DUPLO_TRAIN_BASE_COLOR` | number | 43
  `DUPLO_TRAIN_BASE_SPEEDOMETER` | number | 44
  `CONTROL_PLUS_LARGE_MOTOR` | number | 46
  `CONTROL_PLUS_XLARGE_MOTOR` | number | 47
  `POWERED_UP_REMOTE_BUTTON` | number | 55

  Source:
    - consts.js, line 29

#### DeviceType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `BASIC_MOTOR` | number | 1
  `TRAIN_MOTOR` | number | 2
  `LED_LIGHTS` | number | 8
  `BOOST_LED` | number | 22
  `WEDO2_TILT` | number | 34
  `WEDO2_DISTANCE` | number | 35
  `BOOST_DISTANCE` | number | 37
  `BOOST_TACHO_MOTOR` | number | 38
  `BOOST_MOVE_HUB_MOTOR` | number | 39
  `BOOST_TILT` | number | 40
  `DUPLO_TRAIN_BASE_MOTOR` | number | 41
  `DUPLO_TRAIN_BASE_SPEAKER` | number | 42
  `DUPLO_TRAIN_BASE_COLOR` | number | 43
  `DUPLO_TRAIN_BASE_SPEEDOMETER` | number | 44
  `CONTROL_PLUS_LARGE_MOTOR` | number | 46
  `CONTROL_PLUS_XLARGE_MOTOR` | number | 47
  `POWERED_UP_REMOTE_BUTTON` | number | 55

  Source:
    - consts.js, line 29

#### DuploTrainBaseSound

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BRAKE` | number | 3
  `STATION_DEPARTURE` | number | 5
  `WATER_REFILL` | number | 7
  `HORN` | number | 9
  `STEAM` | number | 10

  Source:
    - consts.js, line 129

#### DuploTrainBaseSound

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BRAKE` | number | 3
  `STATION_DEPARTURE` | number | 5
  `WATER_REFILL` | number | 7
  `HORN` | number | 9
  `STEAM` | number | 10

  Source:
    - consts.js, line 129

#### HubType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `WEDO2_SMART_HUB` | number | 1
  `BOOST_MOVE_HUB` | number | 2
  `POWERED_UP_HUB` | number | 3
  `POWERED_UP_REMOTE` | number | 4
  `DUPLO_TRAIN_HUB` | number | 5
  `CONTROL_PLUS_HUB` | number | 6

  Source:
    - consts.js, line 3

#### HubType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `WEDO2_SMART_HUB` | number | 1
  `BOOST_MOVE_HUB` | number | 2
  `POWERED_UP_HUB` | number | 3
  `POWERED_UP_REMOTE` | number | 4
  `DUPLO_TRAIN_HUB` | number | 5
  `CONTROL_PLUS_HUB` | number | 6

  Source:
    - consts.js, line 3

#### Search results